[Deprecated]: V1.0
get
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/{mode}/forms/formitems
Deprecated: Use latest version instead. Deprecated in v1.0. Returns form and item summaries by mode. Use /v2.0/studies/{studyId}/{mode}/forms/formitems or /v20.0 forms APIs for newer contracts.
Request
Path Parameters
-
mode(required): string
Study mode path segment. Required. Allowed values: test, training, active.
-
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Form and item summaries returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormSummaryDto v1.0
Title:
FormSummaryDto v1.0Summary information for a study form returned by the V1.0 query forms API.
Nested Schema : FormSummaryDto v1.0
Type:
objectTitle:
FormSummaryDto v1.0Summary information for a study form returned by the V1.0 query forms API.
Show Source
-
id: string
(uuid)
Form ID. UUID, 32-character uppercase hexadecimal string.
-
items: array
items
Form item summaries.
-
refname: string
Reference name for the form.Example:
DEMOGRAPHICS -
title: string
Display title for the form.Example:
Demographics
Example:
{
"id":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"refname":"DEMOGRAPHICS",
"title":"Demographics",
"items":[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]
}Nested Schema : items
Type:
arrayForm item summaries.
Show Source
-
Array of:
object FormItemSummaryDto v1.0
Title:
FormItemSummaryDto v1.0Summary information for a form item returned by the V1.0 query forms API.
Example:
[
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}
]Nested Schema : FormItemSummaryDto v1.0
Type:
objectTitle:
FormItemSummaryDto v1.0Summary information for a form item returned by the V1.0 query forms API.
Show Source
-
id: string
(uuid)
Form item ID. UUID, 32-character uppercase hexadecimal string.
-
questionLabel: string
Display label for the question.Example:
Age -
questionType: string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question type for the form item.Example:numeric -
refname: string
Reference name for the form item.Example:
AGE -
subItemIds: string
(uuid)
Title:
Sub item idsIDs of sub-items for a question group. Each ID is a UUID, 32-character uppercase hexadecimal string.
Example:
{
"id":"9F4A6C7E1B8F4D56A23C9F3A0C7D4E77",
"refname":"AGE",
"questionType":"numeric",
"questionLabel":"Age"
}Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}